aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authora13460542021-08-31 17:01:47 +0000
committerrfjakob2021-09-01 10:22:01 +0200
commitc63f7e9f64ee394b3311edb7f36f56fd786d145a (patch)
tree84dec7ad0b4759532f622174c008e3aa645c5a29 /contrib
parentc505e73a13d8e2083b53c5c1af1f937b46665abd (diff)
shell scripts: fix shellcheck warnings
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/gocryptfs-maybe.bash2
-rwxr-xr-xcontrib/maxlen.bash8
-rwxr-xr-xcontrib/mount-ext4-ramdisk.sh2
3 files changed, 6 insertions, 6 deletions
diff --git a/contrib/gocryptfs-maybe.bash b/contrib/gocryptfs-maybe.bash
index 78a6b2c..daf3e60 100755
--- a/contrib/gocryptfs-maybe.bash
+++ b/contrib/gocryptfs-maybe.bash
@@ -12,7 +12,7 @@
# Note that pam_mount ignores messages on stdout which is why printing
# to stdout is ok.
set -eu
-MYNAME=$(basename $0)
+MYNAME=$(basename "$0")
if [[ $# -lt 2 || $1 == -* ]]; then
echo "Usage: $MYNAME CIPHERDIR MOUNTPOINT [-o COMMA-SEPARATED-OPTIONS]" >&2
exit 1
diff --git a/contrib/maxlen.bash b/contrib/maxlen.bash
index 99ffb1f..be5f7a6 100755
--- a/contrib/maxlen.bash
+++ b/contrib/maxlen.bash
@@ -32,8 +32,8 @@ while true ; do
echo "error: file $PWD/$NEXT already exists"
exit 1
fi
- echo -n 2> /dev/null > $NEXT || break
- rm $NEXT
+ echo -n 2> /dev/null > "$NEXT" || break
+ rm "$NEXT"
NAME="$NEXT"
done
echo "${#NAME}"
@@ -47,8 +47,8 @@ if [[ $QUICK -ne 1 ]]; then
NAME=""
while true ; do
NEXT="${NAME}x"
- mkdir $NEXT 2> /dev/null || break
- rmdir $NEXT
+ mkdir "$NEXT" 2> /dev/null || break
+ rmdir "$NEXT"
NAME="$NEXT"
done
MAX_DIRNAME=${#NAME}
diff --git a/contrib/mount-ext4-ramdisk.sh b/contrib/mount-ext4-ramdisk.sh
index 5ff7ef1..79f18a2 100755
--- a/contrib/mount-ext4-ramdisk.sh
+++ b/contrib/mount-ext4-ramdisk.sh
@@ -2,7 +2,7 @@
MNT=/mnt/ext4-ramdisk
-if mountpoint $MNT ; then
+if mountpoint "$MNT" ; then
exit 1
fi